﻿@model Detech_Conference.Class.ProcessManufacturingDetails

@{
    Layout = "~/Views/Shared/_LayoutProcessManufacturing.cshtml";
}



<body>

    <div class="col-sm-12">

        <div id="ProcessInformation" class="panel panel-container">
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white;">Process</div>
                            <h4 class="timeline-title" style="color:white; font-weight: 500;">@Model.ProcessState</h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-6 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted" style="color:white;">Operation Since</div>
                            <h4 class="timeline-title" style="color:white; font-weight: 500;">@Model.ProcessTime</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="ProductionEfficiency" class="row">
            <div class="col-xs-6 col-md-3">
                <div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4><b>OEE</b></h4>
                        <div class="easypiechart" id="easypiechart-orange" data-percent="@Model.oee"><span class="percent" id="oeePercent"></span></div>
                    </div>
                </div>
            </div>
            <div class="col-xs-6 col-md-3">
                <div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4><b>Availability</b></h4>
                        <div class="easypiechart" id="easypiechart-red" data-percent="@Model.availability"><span class="percent" id="availabilityPercent"></span></div>
                    </div>
                </div>
            </div>
            <div class="col-xs-6 col-md-3">
                <div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4><b>Performance</b></h4>
                        <div class="easypiechart" id="easypiechart-teal" data-percent="@Model.performance"><span class="percent" id="performancePercent">100%</span></div>
                    </div>
                </div>
            </div>
            <div class="col-xs-6 col-md-3">
                <div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4><b>Quality</b></h4>
                        <div class="easypiechart" id="easypiechart-blue" data-percent="@Model.quality"><span class="percent" id="qualityPercent">100%</span></div>
                    </div>
                </div>
            </div>
        </div>

        <div id="middleInformation" class="panel panel-container">
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-2 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted">Operating Time (in sec)</div>
                            <h4 class="timeline-title" style="font-weight: 500;">@Model.RunTime</h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-2 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted">Stop Time (in sec)</div>
                            <h4 class="timeline-title" style=" font-weight: 500;">@Model.StopTime</h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-2 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted">Air Quality</div>
                            <h4 class="timeline-title" style=" font-weight: 500;">@Model.AirQualityValue API</h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-2 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted">Dust Level</div>
                            <h4 class="timeline-title" style=" font-weight: 500;">@Model.DustLevel</h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-2 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted">Speed Motor 01</div>
                            <h4 class="timeline-title" style=" font-weight: 500;">@Model.SpeedMotor01 Hz</h4>
                        </div>
                    </div>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-2 no-padding">
                    <div class="panel panel-teal panel-widget border-right">
                        <div class="row no-padding">
                            <div class="text-muted">Speed Motor 02</div>
                            <h4 class="timeline-title" style=" font-weight: 500;">@Model.SpeedMotor02</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="BoilerDrum" class="row">
            <div class="col-xs-6 col-md-6">
                <div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4><b>Boiler Drum Water Level</b></h4>
                        <div class="BDWaterLevelValue" id="oeeGauge" style="padding-bottom:34px"></div>

                    </div>
                </div>
            </div>
            <div class="col-xs-6 col-md-6">
                <div class="panel panel-default">
                    <div class="panel-body easypiechart-panel">
                        <h4><b>Boiler Drum Pressure</b></h4>
                        <figure class="highcharts-figure">
                            <div id="container"></div>
                        </figure>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="~/Content/js/jquery-3.3.1.js"></script>
    <script src="~/Content/js/raphaeljs.min.js"></script>
    <script type="text/javascript" src="~/Content/js/kuma-gauge.jquery.js"></script>
    <script src="~/Content/js/HighCharts.js"></script>
    <script src="~/Content/js/HighCharts-more.js"></script>
    <script src="~/Content/js/amChartCore.js"></script>
    <script src="~/Content/js/AmCharts.js"></script>
    <script src="~/Content/js/AmChart-Animated.js"></script>
    <script src="~/Content/js/easypiechart.js"></script>


    <!-- Update BD Water Level Chart-->
    <script>
        var newValue = 0;
        var test = $('.BDWaterLevelValue').kumaGauge({
            value: newValue
        });

        $('.BDWaterLevelValue').kumaGauge('update', {
            value: newValue
        });
        

        setInterval(function () {
            $.ajax({
                type: "GET",
                url: "/ProcessManufacturing/BDValue",
                success: function (data) {
                    test.kumaGauge('update', { value: data.BDWaterLevelValue })
                }
            });
        }, 500);

    </script>

    <!-- Update BD Pressure Chart-->
    <script>
        Highcharts.chart('container', {

            chart: {
                type: 'gauge',
                plotBackgroundColor: null,
                plotBackgroundImage: null,
                plotBorderWidth: 0,
                plotShadow: false
            },

            title: {
                text: ''
            },

            pane: {
                startAngle: -150,
                endAngle: 150,
                background: [{
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#FFF'],
                            [1, '#333']
                        ]
                    },
                    borderWidth: 0,
                    outerRadius: '109%'
                }, {
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#333'],
                            [1, '#FFF']
                        ]
                    },
                    borderWidth: 1,
                    outerRadius: '107%'
                }, {
                    // default background
                }, {
                    backgroundColor: '#DDD',
                    borderWidth: 0,
                    outerRadius: '105%',
                    innerRadius: '103%'
                }]
            },

            // the value axis
            yAxis: {
                min: 0,
                max: 500,

                minorTickInterval: 'auto',
                minorTickWidth: 1,
                minorTickLength: 10,
                minorTickPosition: 'inside',
                minorTickColor: '#666',

                tickPixelInterval: 30,
                tickWidth: 2,
                tickPosition: 'inside',
                tickLength: 10,
                tickColor: '#666',
                labels: {
                    step: 2,
                    rotation: 'auto'
                },
                title: {
                    text: ''
                },
                plotBands: [{
                    from: 100,
                    to: 150,
                    color: '#55BF3B' // green

                }, {
                    from: 50,
                    to: 100,
                    color: '#DDDF0D' // yellow
                }, {
                    from: 150,
                    to: 300,
                    color: '#DF5353' // red
                }, {
                    from: 300,
                    to: 400,
                    color: '#55BF3B' // green

                }]
            },

            series: [{
                name: 'Quality',
                data: [80],
                tooltip: {
                    valueSuffix: ' %'
                }
            }]

        },
            // Add some life
            function (chart) {
                if (!chart.renderer.forExport) {

                    var point = chart.series[0].points[0],
                        newVal,
                        inc = Math.round((Math.random() - 0.5) * 20);
                   

                    setInterval(function () {
                        $.ajax({
                            type: "GET",
                            url: "/ProcessManufacturing/BDValue",
                            success: function (data) {
                                newVal = data.BDPressureValue
                                point.update(newVal);
                            }
                        });
                    }, 500);

                }
            });
    </script>

    <!-- Update OEE Chart-->
    <script>
        $(function () {
            var test = $('#easypiechart-orange').easyPieChart({
                scaleColor: false,
                barColor: '#ffb53e'
            });

            setInterval(function () {
                $.ajax({
                    type: "GET",
                    url: "/ProcessManufacturing/oeeResult",
                    success: function (data) {
                        test.data('easyPieChart').update(data.oee);
                        $('#oeePercent').text(data.oee + "%");
                    }
                });
            }, 500);

        });

    </script>

    <!-- Update Availability Chart-->
    <script>
        $(function () {
            var test = $('#easypiechart-red').easyPieChart({
                scaleColor: false,
                barColor: '#ffb53e'
            });

            setInterval(function () {
                $.ajax({
                    type: "GET",
                    url: "/ProcessManufacturing/oeeResult",
                    success: function (data) {
                        test.data('easyPieChart').update(data.availability);
                        $('#availabilityPercent').text(data.availability + "%");
                    }
                });
            }, 500);

        });
    </script>

    <!-- Update Performance Chart-->
    <script>
        $(function () {
            var test = $('#easypiechart-teal').easyPieChart({
                scaleColor: false,
                barColor: '#ffb53e'
            });

            setInterval(function () {
                $.ajax({
                    type: "GET",
                    url: "/ProcessManufacturing/oeeResult",
                    success: function (data) {
                        test.data('easyPieChart').update(data.performance);
                        $('#performancePercent').text(data.performance + "%");
                    }
                });
            }, 500);

        });
    </script>

    <!-- Update Availability Chart-->
    <script>
        $(function () {
            var test = $('#easypiechart-blue').easyPieChart({
                scaleColor: false,
                barColor: '#ffb53e'
            });

            setInterval(function () {
                $.ajax({
                    type: "GET",
                    url: "/ProcessManufacturing/oeeResult",
                    success: function (data) {
                        test.data('easyPieChart').update(data.quality);
                        $('#qualityPercent').text(data.quality + "%");
                    }
                });
            }, 500);

        });
    </script>

    <!-- Update Top Information-->
    <script>
        setInterval(function () {
            $.ajax({
                type: "GET",
                url: "/ProcessManufacturing/topInformation",
                success: function (data) {
                    $('#ProcessInformation').html(data);
                }
            });
        }, 500);
    </script>

    <!-- Update Middle Information-->
    <script>
        setInterval(function () {
            $.ajax({
                type: "GET",
                url: "/ProcessManufacturing/botInformation",
                success: function (data) {
                    $('#middleInformation').html(data);
                }
            });
        }, 500);
    </script>

</body>

